.pokemon{
    height: 100%;
    display: flex;
    flex-flow: column nowrap;
    gap: 10px;
    align-items: center;
    justify-content: space-between;
    box-shadow:  var(--default-black) 0px 0px 5px;
    
    border-radius: 5px;
    background-color:var(--sandy-yellow);
    overflow: hidden;
    text-align: center;

    font-family: "Comic Sans MS", cursive, sans-serif;

    min-width: 150px;
    min-height: 250px;
    max-width: 150px;
    max-height: 250px;

    &__imgContainer{
        border-radius: 5px 5px 0 0;
        width: 100%;
        height: 50%;
        min-width: 120px;
        min-height: 100px;
        background: var(--background-pic) ;
        background-position-x: 50%;
        background-position-y: 60%;
        background-attachment:scroll;
        box-shadow: inset 0  0px 5px var(--shadow-grey);
        display: flex;
        justify-content: center;
        align-items: flex-end;
        
    }

    &__img{
        width: 70%;
        height: 70%;
        -webkit-filter: drop-shadow(5px 5px 5px var(--shadow-grey));
        filter: drop-shadow(5px 5px 5px var(--shadow-grey));
    }

    &__img:hover{
        -webkit-filter: drop-shadow(5px 5px 5px var(--shadow-grey));
        filter: drop-shadow(10px 10px 10px var(--shiny-shadow));
    } 

    &__button{
        background-color: var(--contrast-aquamarine);
        border: none;
        box-shadow: 0 1px 5px var(--shadow-grey);
        width: 95%;
        padding: 5px;
        border-radius: 5px;
        margin: 3px;
    }

    &__button:hover{
        box-shadow: inset 0 1px 2px var(--shadow-grey); 
        cursor: pointer;
    }
    &__button:active{
        color: var(--contrast-aquamarine);
    }

    .caught{
        background: var(--default-grey);
        box-shadow: inset 0 1px 2px var(--shadow-grey);
        pointer-events: none;
    }
}
